Questions #Tagged [apache-groovy]

Questions: 1

Can we change the internal Groovy version from Gradle?

No we can not replace or remove the shipped/provided Groovy that comes with Gradle as:<br> &#9679 Gradle's build language is based on Groovy<br> &#9679 Parts of Gradle are implemented in Groovy<br><br> So Gradle is effectively tied to whatever version of Groovy it was shipped with for that release. If the project requirement is of different version or requires Groovy in general, then this needs to be explicitly declare as Groovy dependency. Below is the code snippet:<br> <pre><xmp>dependencies { implementation "org.codehaus.groovy:groovy-all:3.0.4" }</xmp></pre>

 

#gradle     #apache-groovy